%global momorel 2

Name:           perl-DBIx-Class-Schema-Loader
Version:        0.07001
Release:	%{momorel}m%{?dist}
Summary:        Dynamic definition of a DBIx::Class::Schema
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DBIx-Class-Schema-Loader/
Source0:        http://www.cpan.org/authors/id/R/RK/RKITOVER/DBIx-Class-Schema-Loader-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Carp-Clan
BuildRequires:  perl-Class-Accessor-Grouped >= 0.09002
BuildRequires:  perl-Class-C3 >= 0.18
BuildRequires:  perl-Class-C3-Componentised >= 1.0005
BuildRequires:  perl-Class-Inspector
BuildRequires:  perl-Class-Unload
BuildRequires:  perl-Data-Dump >= 1.06
BuildRequires:  perl-Data-Dumper-Concise >= 1.200
BuildRequires:  perl-DBD-SQLite >= 1.29
BuildRequires:  perl-DBI >= 1.56
BuildRequires:  perl-DBIx-Class >= 0.08114
BuildRequires:  perl-Digest-MD5 >= 2.36
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Path >= 2.07
BuildRequires:  perl-File-Slurp >= 9999.13
BuildRequires:  perl-File-Temp >= 0.16
BuildRequires:  perl-Lingua-EN-Inflect-Number >= 1.1
BuildRequires:  perl-Lingua-EN-Inflect-Phrase >= 0.02
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-namespace-autoclean
BuildRequires:  perl-PathTools
BuildRequires:  perl-Scalar-List-Util
BuildRequires:  perl-Scope-Guard
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple >= 0.94
BuildRequires:  perl-Text-Balanced
Requires:       perl-Carp-Clan
Requires:       perl-Class-Accessor-Grouped >= 0.09002
Requires:       perl-Class-C3 >= 0.18
Requires:       perl-Class-C3-Componentised >= 1.0005
Requires:       perl-Class-Inspector
Requires:       perl-Class-Unload
Requires:       perl-Data-Dump >= 1.06
Requires:       perl-Data-Dumper-Concise >= 1.200
Requires:       perl-DBIx-Class >= 0.08114
Requires:       perl-Digest-MD5 >= 2.36
Requires:       perl-File-Slurp >= 9999.13
Requires:       perl-Lingua-EN-Inflect-Number >= 1.1
Requires:       perl-Lingua-EN-Inflect-Phrase >= 0.02
Requires:       perl-List-MoreUtils
Requires:       perl-namespace-autoclean
Requires:       perl-PathTools
Requires:       perl-Scalar-List-Util
Requires:       perl-Scope-Guard
Requires:       perl-Text-Balanced
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
DBIx::Class::Schema::Loader automates the definition of a
DBIx::Class::Schema by scanning database table definitions and setting up
the columns, primary keys, and relationships.

%prep
%setup -q -n DBIx-Class-Schema-Loader-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(DBIx::Class::Schema::Loader::Utils)/d'

EOF
%define __perl_requires %{_builddir}/DBIx-Class-Schema-Loader-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/dbicdump
%{perl_vendorlib}/DBIx/Class/Schema/Loader
%{perl_vendorlib}/DBIx/Class/Schema/Loader.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.07001-2m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07001-1m)
- update to 0.07001

* Thu Jun 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07000-1m)
- update to 0.07000

* Fri Jun  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04006-7m)
- modify %%files to aviod conflicting with perl-DBIx-Class

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04006-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04006-5m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.04006-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04006-3m)
- rebuild against perl-5.10.1

* Mon Jun 29 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (0.04006-2m)
- modify BuildRequires:  perl-DBD-MySQL

* Sun Jun 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04006-1m)
- update to 0.04006

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.04005-2m)
- rebuild against rpm-4.6

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04005-1m)
- update to 0.04005

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.04004-2m)
- rebuild against gcc43

* Mon Dec  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04004-1m)
- update to 0.04004

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04003-1m)
- update to 0.04003
- do not use %%NoSource macro

* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04002-1m)
- update to 0.04002

* Sun Jul  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04001-1m)
- update to 0.04001

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03012-1m)
- update to 0.03012

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03009-2m)
- use vendor

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03009-1m)
- update to 0.03009

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03008-1m)
- update to 0.03008

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.03007-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
